# Separators
Date: 2011-05-02

## org.eclipse.cdt.managedbuilder.llvm.util
Class Separators

    java.lang.Object
      org.eclipse.cdt.managedbuilder.llvm.util.Separators

    public class Separators

extends java.lang.Object

Provides different separators such as file and path separators.

Field Summary
`private static java.lang.String` `fileSeparator`
`private static java.lang.String` `pathSeparator`

Constructor Summary
`Separators()`

Method Summary
`static java.lang.String` `getFileSeparator()` Get file separator.
`static java.lang.String` `getPathSeparator()` Get path separator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pathSeparator

    private static java.lang.String pathSeparator

### fileSeparator

    private static java.lang.String fileSeparator

Constructor Detail

### Separators

    public Separators()

Method Detail

### getPathSeparator

    public static java.lang.String getPathSeparator()

  Get path separator.

  Returns:
    path separator

### getFileSeparator

    public static java.lang.String getFileSeparator()

  Get file separator.

  Returns:
    file separator